REST APIIdentityKnow Your Business (KYB)

POST

Verify the upload status of all files in a document by checking with the storage provider. Updates file and document statuses based on actual verification results.

Path Params

  • documentId string uuid required
    Unique identifier for the document

Responses

200
200

Response Body

object

Response after verifying document upload status
  • documentId string required
    Unique identifier for the document
  • documentType string enum required
    Type of document being uploaded
    governmentIdcommercialRegisterarticlesOfAssociationcertificateOfIncorporationcertificateOfGoodStandingcertificateOfTrustcertificateOfIncumbencycertificateOfIncumbencyOrShareRegisterproofOfPrincipalPlaceOfBusinessactiveTradeLicenseresolutionToOpenBitgoUaeAccountresolutionToOpenBitgoSingaporeAccountproofOfAuthorizedSignatoriesmemorandumOfAssociationmemorandumAndArticlesOfAssociationbylawsOrOperatingAgreementoperatingAgreementw8w9evidenceOfLegalStatusevidenceOfActiveStatusproofOfJfsaLicenseproofOfGamingLicenseorganizationDocumentpartnershipAgreementarticlesOfOrganizationbusinessLicenseOrRegistrationevidenceOfGovernmentOrStateOwnershipsecFilingsAsEvidenceOfPublicTradingStatusfoundingTreatyOrEquivalentproofOfAddresssourceOfWealthsingaporeSupportingDocumentcaseRequiredDocumentscorrespondentAccountCertificationauthorizedSignerForm
  • documentTypeLabel string required
    Human-readable label for the document type
  • subType string enum
    Subtype of document (relevant for governmentId and singaporeSupportingDocument document types)
    cctciddlfoidhicidippkeypltpassmunidmynnbinricofwrppanpidppppcprssstdtribalidumidvidvisawpcomputerizedPayslipsincomeTaxAssessmentemploymentLetterContractbankStatementdptHoldingStatementinvestmentHoldingsStatementtitleDeedspropertyTaxCpfStatementother
  • status string enum required
    Current status of the document
    awaitingUploaduploadedacceptedrejected
  • files array of objects required
    List of files with verification status
    files object
    • fileId string required
      Unique identifier for the file
    • fileView string enum required
      View or side of the document file
      frontbackfull
    • required boolean required
      Whether this file is required for the document
    • status string enum required
      Current status of the file upload. requiresManualReview is a terminal state set after 2 failed AI screening attempts; the file is locked and Trust ops resolves it manually.
      awaitingUploaduploadedacceptedrejectedrequiresManualReview
    • downloadUrl string uri
      Presigned URL for file download
400
400

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable
401
401

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable
403
403

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable
404
404

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable
500
500

Response Body

object

Generic error response
  • code string required
    Error code
  • message string required
    Error message
  • details map of objects
    Additional error details
    details object
    • <key> object nullable